# -*- coding:Utf-8 -*-
# sici_jail V2.1.1 by Sicilia (24/06/2009)
# MATTIE'S EVENTSCRIPTS 2.0.1, PYTHON OPERATIONNEL

import es, playerlib, popuplib, gamethread, math, psyco, random, effectlib
psyco.full()

class Rwg:
    """
        Remove weapon at ground
    """

    def __init__(self, i = 0, d = 0):
        self._dist = {}
        if i: self.__find(i, d)

    def __dist(self, V1, V2):
        return math.sqrt(math.pow(V1[0] - V2[0], 2) + math.pow(V1[1] - V2[1], 2) + math.pow(V1[2] - V2[2], 2))

    def __maxi(self, I, D):
        self._dist[D] = I

    def __find(self, i, d = 0):
        enti = es.createentitylist()
        vect = {}

        for indx in enti:
            if enti[indx]["classname"].startswith("weapon_"):
                if es.getindexprop(indx, "CBaseCombatWeapon.m_hOwner") == -1: vect[indx] = []

        if len(vect):
            for indx in vect:
                map(lambda x: vect[indx].append(float(x)), es.getindexprop(indx, "CBaseEntity.m_vecOrigin").split(","))

            user = es.getplayerlocation(i)
            map(lambda x: self.__maxi(x, self.__dist(user, vect[x])), vect)

            if d == 0: es.server.queuecmd("es_xremove %s" % self._dist[dist])
            else:
                dist = min(self._dist.keys())
                if dist * 0.0254 < float(d): es.server.queuecmd("es_xremove %s" % self._dist[dist])

class Rends:
    """
        Remove weapon at ground
    """

    def __init__(self, i = 0, d = 0):
        self._dist = {}
        if i: self.__find(i, d)

    def __dist(self, V1, V2):
        return math.sqrt(math.pow(V1[0] - V2[0], 2) + math.pow(V1[1] - V2[1], 2) + math.pow(V1[2] - V2[2], 2))

    def __maxi(self, I, D):
        self._dist[D] = I

    def __find(self, i, d = 0):
        enti = es.createentitylist()
        vect = {}

        for indx in enti:
            if enti[indx]["classname"].startswith("weapon_"):
                if es.getindexprop(indx, "CBaseCombatWeapon.m_hOwner") == -1: vect[indx] = []

        if len(vect):
            for indx in vect:
                map(lambda x: vect[indx].append(float(x)), es.getindexprop(indx, "CBaseEntity.m_vecOrigin").split(","))

            user = es.getplayerlocation(i)
            map(lambda x: self.__maxi(x, self.__dist(user, vect[x])), vect)

            if d == 0: es.server.queuecmd("es_xremove %s" % self._dist[dist])
            else:
                for dist, index in self._dist.items():
                    if dist * 0.0254 < float(d): es.server.queuecmd("es_xremove %s" % self._dist[dist])
                
# Terroriste
max_t = es.ServerVar("max_t")
speed_t = es.ServerVar("speed_t")
health_t = es.ServerVar("health_t")
armor_t = es.ServerVar("armor_t")

# Anti-Terroriste
max_ct = es.ServerVar("max_ct")
speed_ct = es.ServerVar("speed_ct")
health_ct = es.ServerVar("health_ct")
armor_ct = es.ServerVar("armor_ct")

# Variables serveur
limit_team = es.ServerVar("mp_limitteams")
auto_balance = es.ServerVar("mp_autoteambalance")
view_index = es.ServerVar("view_index")
temps_rend = es.ServerVar("temps_rend")
temps_tazer = es.ServerVar("temps_tazer")
distance_sup = es.ServerVar("distance_sup")
server_name = es.ServerVar("hostname")
server_oldname = str(server_name)
noms_serv = es.ServerVar("noms_du_serv")
tuer_terro = es.ServerVar("tuer_terro", "1")
anti_switch = es.ServerVar("anti_switch")
temps_round = es.ServerVar("mp_roundtime")
temps_rounds = es.ServerVar("temps_rounds", "7")
max_rend = es.ServerVar("max_rend")
max_rw = es.ServerVar("max_rw")
max_tazer = es.ServerVar("max_tazer")
multimod = es.ServerVar("multimod")
noms_de_team = es.ServerVar("team")
es.ServerVar('userid_cible', '0')
block = es.ServerVar("blockage_des_teams")
rend = es.ServerVar("rend")
rw = es.ServerVar("rw")
tazer = es.ServerVar("tazer")


info = es.AddonInfo()
info.version = "2.1.2"
info.author = "Sicilia"
info.name = "sici_jail"
info.url = "http://addons.eventscripts.com/addons/user/22862"
info.date = "26.09.2009"
info.sponsor = "www.fog.asso.fr"



es.ServerVar('Sici Jail', info.version, 'Script Jail By Sicilia').makepublic()


# Variable python

dico_rend = {}
dico_rw = {}
dico_tazer = {}
compteur_round = 0

def load():
    es.server.cmd("es_xmexec sici_jail/config.cfg")
    if int(rend) == 1:
        es.regclientcmd("!rend", "sici_jail/player_cmd_rend", "remove closest weapon")
        es.regsaycmd("!rend", "sici_jail/player_cmd_rend", "remove closest weapon")
    if int(tazer) == 1:
        es.regclientcmd("!tazer", "sici_jail/player_cmd_tazer", "remove closest weapon")
        es.regsaycmd("!tazer", "sici_jail/player_cmd_tazer", "remove closest weapon")
    if int(rw) == 1:
        es.regclientcmd("!rw", "sici_jail/player_cmd_rw", "remove closest weapon")
        es.regsaycmd("!rw", "sici_jail/player_cmd_rw", "remove closest weapon")
        
    if int(anti_switch) == 1:  
        es.addons.registerClientCommandFilter(filtreCommandesClientes) 

  
    menu = popuplib.create("j_regle") 
    menu.addline("--- Règles Du Mode Jail ---")
    menu.addline("----------------------------")
    menu.addline("->1. Regles anti-terroristes")
    menu.addline("->2. Regles terroristes     ")
    menu.addline("-------- By Sicilia --------")
    menu.addline(noms_de_team)
    menu.addline("->0. Fermer ")
    menu.submenu(1, "j_regle_ct_mp1")
    menu.submenu(2, "Regles terroristes")

    menu = popuplib.create("Regles terroristes")
    menu.addline("Règles terroristes")
    menu.addline("----------------")
    menu.addline("1. Lire les règles des anti-terroristes. ")
    menu.addline("2. Un détenu peut tuer un gardien quand il veut, ou il veut.")
    menu.addline("3. Un détenu a le droit d'avoir sur lui : un fumigène, la bombe.")
    menu.addline("4. Les détenus qui se trouvent dans la zone réservée aux gardiens")
    menu.addline("seront considérés comme hostiles et pourront être abattus sans sommation !")
    menu.addline("5. Vous avez le droit en cas de dernier detenu a demander un jeux cut, roulette, jackady")
    menu.addline("et autres jeux disponible sur la map")
    menu.addline("----------------")
    menu.addline("->8. Retour")
    menu.addline("->0. Fermer")
    menu.submenu(8, "j_regle")

    menu = popuplib.create("j_regle_ct_mp1") 
    menu.addline("Règles anti-terroristes")
    menu.addline("Page 1/2")
    menu.addline("----------------")
    menu.addline("->1. Article 1.0")
    menu.addline("->2. Article 2.0")
    menu.addline("->3. Article 3.0")
    menu.addline("->4. Article 4.0")
    menu.addline("->5. Article 5.0")
    menu.addline("->6. Article 6.0")
    menu.addline("->7. Article 7.0")
    menu.addline("----------------")
    menu.addline("->8. Page Suivante")
    menu.addline(" ")
    menu.addline("->9. Retour")
    menu.addline("->0. Fermer ")
    menu.submenu(8, "j_regle_ct_mp2")
    menu.submenu(9, "j_regle")  
    menu.submenu(1, "a1")
    menu.submenu(2, "a2")
    menu.submenu(3, "a3")
    menu.submenu(4, "a4")
    menu.submenu(5, "a5")
    menu.submenu(6, "a6")
    menu.submenu(7, "a7")
 
    menu = popuplib.create("j_regle_ct_mp2")
    menu.addline("Règles anti-terroristes")
    menu.addline("Page 2/2")
    menu.addline("----------------")
    menu.addline("->1. Article 8.0")
    menu.addline("->2. Article 9.0")
    menu.addline("->3. Article 10.0")
    menu.addline("->4. Article 11.0")
    menu.addline("->5. Article 12.0")
    menu.addline("->6. Article 13.0")
    menu.addline("->7. Article 14.0")
    menu.addline("----------------")
    menu.addline("->8. Page Précédente")
    menu.addline(" ")
    menu.addline("->9. Retour")
    menu.addline("->0. Fermer ")
    menu.submenu(8, "j_regle_ct_mp1")
    menu.submenu(9, "j_regle")
    menu.submenu(1, "a8")
    menu.submenu(2, "a9")
    menu.submenu(3, "a10")
    menu.submenu(4, "a11")
    menu.submenu(5, "a12")
    menu.submenu(6, "a13")
    menu.submenu(7, "a14")

    menu = popuplib.create("a1")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 1.0")
    menu.addline("----------------")
    menu.addline("Si vous voyez un détenu tuer un gardien, vous avez le droit de le tuer")
    menu.addline("sans sommation, lui et lui seul. Vous ne pouvez tuer un détenu qu'au moment")
    menu.addline("de son acte. Soit jusqu'a 5 sec après son acte.")
    menu.addline("----------------")
    menu.addline("->1. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a2")
    menu.submenu(8, "j_regle_ct_mp1")

    menu = popuplib.create("a2")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 2.0")
    menu.addline("----------------")
    menu.addline("Si un détenu vous tire dessus, ou vous blesse avec une arme ou une grenade")
    menu.addline("explosive, vous pouvez vous défendre. Soyez sûr de vous, si vous tuez quelqu'un")
    menu.addline("d'innocent, vous serez sanctionné.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a1")
    menu.submenu(2,"a3")
    menu.submenu(8, "j_regle_ct_mp1")
  
    menu = popuplib.create("a3")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 3.0")
    menu.addline("----------------")
    menu.addline("Si un détenu possède une arme sur lui, demandez-lui de se rendre. S'il ne se rend")
    menu.addline("pas, vous pouvez le blesser. Enfin, s'il ne veut pas ou ne peut plus se rendre,  ")
    menu.addline("vous pouvez le tuer.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a2")
    menu.submenu(2,"a4")
    menu.submenu(8, "j_regle_ct_mp1")

    menu = popuplib.create("a4")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 4.0")
    menu.addline("----------------")
    menu.addline("Vous pouvez donner des ordres aux détenus et ils sont censés vous écouter. Si")
    menu.addline("un détenu n'obéit pas, vous pouvez le blesser, et ensuite le tuer.")
    menu.addline("Attention aux ordres abusifs. Pensez qu'un détenu n'entendra")
    menu.addline("pas forcement votre ordre. Répétez-le au moins trois fois.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a3")
    menu.submenu(2,"a5")
    menu.submenu(8, "j_regle_ct_mp1")
  
    menu = popuplib.create("a5")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 5.0")
    menu.addline("----------------")
    menu.addline("Le port de la bombe et fumingène pour un détenu sont autorisés. Une grenade peux-être")
    menu.addline("tolérer par le gardien.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a4")
    menu.submenu(2,"a6")
    menu.submenu(8, "j_regle_ct_mp1")
  
    menu = popuplib.create("a6")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 6.0")
    menu.addline("----------------")
    menu.addline("L'envoi d'un fumigène, au contraire d'une grenade explosive, n'est pas considéré")
    menu.addline("comme un acte agressif. Les détenus ne pourront pas être sanctionnés sur ce fait.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a5")
    menu.submenu(2,"a7")
    menu.submenu(8, "j_regle_ct_mp1")
  
    menu = popuplib.create("a7")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 7.0")
    menu.addline("----------------")
    menu.addline("Il est extrêmement important de respecter les sommations. Tout abus sera sanctionné.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a6")
    menu.submenu(2,"a8")
    menu.submenu(8, "j_regle_ct_mp1")

    menu = popuplib.create("a8")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 8.0")
    menu.addline("----------------")
    menu.addline("Il est STRICTEMENT interdit aux gardiens de donner des armes aux détenus. Les ")
    menu.addline("sanctions peuvent aller du simple slay jusqu'au ban.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a7")
    menu.submenu(2,"a9")
    menu.submenu(8, "j_regle_ct_mp2")

    menu = popuplib.create("a9")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 9.0")
    menu.addline("----------------")
    menu.addline("Un gardien n'a pas le droit d'accéder à la zone réservée aux détenus. Ce gardien")
    menu.addline("pourra alors être tué par un détenu, sans que ce dernier puisse être sanctionné par les")
    menu.addline("autres gardiens. Tout abus de la part des gardiens sera sanctionné.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a8")
    menu.submenu(2,"a10")
    menu.submenu(8, "j_regle_ct_mp2")
  
    menu = popuplib.create("a10")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 10.0")
    menu.addline("----------------")
    menu.addline("Les détenus qui se trouvent dans la zone réservée aux gardiens seront considérés")
    menu.addline("comme hostiles et pourront être abattus sans sommation.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a9")
    menu.submenu(2,"a11")
    menu.submenu(8, "j_regle_ct_mp2")
  
    menu = popuplib.create("a11")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 11.0")
    menu.addline("----------------")
    menu.addline("L'accés aux conduits est autorisé aux détenus et interdit aux gardiens.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a10")
    menu.submenu(2,"a12")
    menu.submenu(8, "j_regle_ct_mp2")
  
    menu = popuplib.create("a12")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 12.0")
    menu.addline("----------------")
    menu.addline("Les cellules des détenus doivent être ouvertes dans la minute après le démarrage du round.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a11")
    menu.submenu(1,"a13")
    menu.submenu(8, "j_regle_ct_mp2")
    
    menu = popuplib.create("a13")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 13.0")
    menu.addline("----------------")
    menu.addline("Toutes Awp trouvées dans une tour doivent y rester.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a12")
    menu.submenu(2,"a14")
    menu.submenu(8, "j_regle_ct_mp2")
    
    menu = popuplib.create("a14")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 14.0")
    menu.addline("----------------")
    menu.addline("Les gardiens doivent respecter la dernière volonté de jeux du détenu restant qui sera un cut,")
    menu.addline("une roulette, jackady et autres jeux diponibles sur les differentes maps.")
    menu.addline("----------------")
    menu.addline(" ")
    menu.addline("->1. Article Précédent")
    menu.addline("->8. Retour")
    menu.submenu(1,"a13")
    menu.submenu(8, "j_regle_ct_mp2")


  
    limit_team.set("0")
    auto_balance.set("0")
    server_name.set(str(server_oldname))
    temps_round.set(int(temps_rounds))
    noms_du_serveur()

    es.msg("#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultWaiting.")
    es.msg("#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultLoaded.")
    es.msg("#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultScript By Sicilia")
    es.msg("#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultFog.Asso.Fr")
  
def noms_du_serveur():
    if int(multimod) == 1:
        server_name.set(str(noms_serv))
    
def filtreCommandesClientes(userid, argv):  
    laisserPasser = True
    if argv[0] == "jointeam":
        if es.getplayerteam(userid) > 1: 
            laisserPasser = False
  # sinon
    return laisserPasser 

def es_map_start(event_var):
    es.server.cmd("es_xmexec sici_jail/config.cfg")
    limit_team.set("0")
    temps_round.set(int(temps_rounds))
    auto_balance.set("0")
  
def j_regle(userid):
    popuplib.send("j_regle", userid)

def msg():
    es.msg("#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultPour lire les règles du mode Jail : #green!regles")

def player_activate(event_var):
    gamethread.delayed(6, j_regle, event_var["userid"])
 
 
def player_cmd_rw():
    userid = es.getcmduserid()
    team = es.getplayerteam(userid)
    player = playerlib.getPlayer(userid)
    global dico_rw                             
    if team == 3:
        if player.get("isdead") == 0:
            if not userid in dico_rw:
                dico_rw[userid] = 0
    
            utilisation_rw = dico_rw[userid]
        
            if utilisation_rw < int(max_rw):
                utilisation_rw += 1
                dico_rw[userid] = utilisation_rw
        
                Rwg(userid, distance_sup)
        
            else:
                es.tell(userid, "#multi", "#greenTes #lightgreen!rw #green ont déjà été tous utilisés ")
                                            
def player_cmd_tazer(): 
    userid_cmd = es.getcmduserid()
    team = es.getplayerteam(userid_cmd)
    es.server.cmd("est_getviewplayer %s userid_cible" % userid_cmd)
    playe = playerlib.getPlayer(userid_cmd)
    exists_cible = es.ServerVar('userid_cible')

    global dico_tazer
    if not int(exists_cible) == 0:
        if team == 3:
            if playe.get("isdead") == 0:
                userid_cible = int(exists_cible)
                team_vise = es.getplayerteam(userid_cible)
                if team_vise == 2:
                    if not userid_cmd in dico_tazer:
                        dico_tazer[userid_cmd] = [0, False]
        
                    utilisation_tazer = dico_tazer[userid_cmd][0]
                    tazer_actif = dico_tazer[userid_cmd][1]
        
                    if utilisation_tazer < int(max_tazer) and not tazer_actif:
                        utilisation_tazer += 1
                        dico_tazer[userid_cmd][0] = utilisation_tazer
    
                        location_cible = es.getplayerlocation(userid_cible)
                        location_user = es.getplayerlocation(userid_cmd)
                        es.effect('sparks', es.createvectorstring(location_cible[0], location_cible[1], location_cible[2] + 70) , 100, 3, 0)
                        location_cible = (location_cible[0], location_cible[1], location_cible[2] + 60)
                        location_user = (location_user[0], location_user[1], location_user[2] + 45)
                        effectlib.drawLine(location_user, location_cible, seconds = 3, speed = 1 ,brightness = 255 ,model = "materials/sprites/laser.vmt", blue = 255, green = 0, red = 0)
                        es.emitsound('player', userid_cible, 'ambient/machines/zap' + str(random.randint(1, 3)) + '.wav', 1.0, 0.5)
                        es.emitsound('player', userid_cible, 'bot/aah.wav', 1.0, 0.5)
          
                        enlever_arme_tazer(userid_cmd, userid_cible)
          
                # sinon dire au joueur qu'il a dépassé son quota
                    elif utilisation_tazer == int(max_tazer):
                        es.tell(userid_cmd, "#multi", "#greenTes #lightgreen!tazer #green ont déjà été tous utilisés ")
                    elif tazer_actif:
                        es.tell(userid_cmd, "#multi", "#greenton tazer est en cour d'utilisation")
    
    
        
def player_cmd_rend(): 
    userid = es.getcmduserid()
    team = es.getplayerteam(userid)
    name = es.getplayername(userid)
    play = playerlib.getPlayer(userid)
    
    global dico_rend
    if team == 2:
        if play.get("isdead") == 0:
            if not userid in dico_rend:
                dico_rend[userid] = 0
    
            utilisation = dico_rend[userid]
    
            if utilisation < int(max_rend):
                utilisation += 1
                dico_rend[userid] = utilisation
                enlever_arme(userid)
                Rends(userid, 3)
                es.msg("#multi", "#green%s #lightgreense rend !!! #green pendant %s sec" % (name, temps_rend))
        
            else:
                es.tell(userid, "#multi", "#greenTes #lightgreen!rend #green ont déjà été tous utilisés ")
   
def player_team(ev):
    if int(block) == 1:
        if ev["disconnect"] == 0:
            if ev["team"] == 3:
                player_ct = es.getplayercount(3)
                if int(player_ct) > int(max_ct):
                    es.changeteam(ev["userid"], 2)
                    es.centertell(ev["userid"], "#green Il y trop d'anti-terroristes")

            elif ev["team"] == 2:
                player_t = es.getplayercount(2)
                if int(player_ct) > int(max_ct):
                    es.changeteam(ev["userid"], 3)
                    es.centertell(ev["userid"], "#green Il y trop d'anti-terroristes")
                       
def round_start(event_var):
 
    global dico_rend
    global dico_rw
    global dico_tazer
  
    msg()
    dico_rend.clear()
    dico_rw.clear()
    dico_tazer.clear()
  
def prop_t(userid):
    es.server.cmd("es_xfire %s player_weaponstrip kill;" % userid +
                  "es_xgive %s player_weaponstrip;" % userid +
                  "es_xfire %s player_weaponstrip strip" % userid)
    gamethread.delayed(.1, es.server.queuecmd, "es_xgive %s weapon_knife" % userid)
    es.setplayerprop(userid, "CBasePlayer.localdata.m_flLaggedMovementValue", speed_t)
    es.setplayerprop(userid, "CBasePlayer.m_iHealth", health_t)
    es.setplayerprop(userid, "CCSPlayer.m_ArmorValue", armor_t)
    es.tell(userid, "#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultOublie pas pour se rendre : #green!rend")
    


def prop_ct(userid):
    es.server.cmd("es_xfire %s player_weaponstrip kill;" % userid +
                  "es_xgive %s player_weaponstrip;" % userid +
                  "es_xfire %s player_weaponstrip strip" % userid)
    gamethread.delayed(.1, es.server.queuecmd, "es_xgive %s weapon_knife;es_xgive %s weapon_m4a1;es_xgive %s weapon_usp;es_xgive %s item_nvgs" % (userid, userid, userid, userid))
    es.setplayerprop(userid, "CCSPlayer.m_ArmorValue", armor_ct) 
    es.setplayerprop(userid, "CCSPlayer.m_bHasHelmet", 1)
    es.setplayerprop(userid, "CBasePlayer.m_iHealth", health_ct)
    es.setplayerprop(userid, "CCSPlayer.m_bHasDefuser", 1)
    es.setplayerprop(userid, "CBasePlayer.localdata.m_flLaggedMovementValue", speed_ct)
    es.tell(userid, "#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultTu as reçu #greendes armes #defaultet #greendes outils #defaultBonne Chance.")
    es.tell(userid, "#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultOublie pas pour supprimer une arme à terre : #green!rw")
    es.tell(userid, "#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultOublie pas pour freezer un détenu : #green!tazer")
           
def player_spawn(event_var):
    joueur = playerlib.getPlayer(event_var["userid"])
    if event_var["es_userteam"] == "2":
        if joueur.get("isdead") == 0:
            es.server.queuecmd("es_xfire %s player_weaponstrip kill;" % event_var["userid"] +
                       "es_xgive %s player_weaponstrip;" % event_var["userid"] +
                       "es_xfire %s player_weaponstrip strip" % event_var["userid"])
            gamethread.delayed(.1, prop_t, event_var["userid"])

    elif event_var["es_userteam"] == "3":
        if joueur.get("isdead") == 0:
            es.server.queuecmd("es_xfire %s player_weaponstrip kill;" % event_var["userid"] +
                       "es_xgive %s player_weaponstrip;" % event_var["userid"] +
                       "es_xfire %s player_weaponstrip strip" % event_var["userid"])
            gamethread.delayed(.1, prop_ct, event_var["userid"])
                   
def player_say(event_var):
    if event_var["text"] == "!regles":
        popuplib.send("j_regle", event_var["userid"])

def player_death(ev):
    es.cexec(ev["userid"], "drop")
    
def item_pickup(ev):
    team = int(ev["es_userteam"])

    if es.getplayerprop(ev["userid"], "CBasePlayer.pl.deadflag"):
        es.cexec(ev["userid"], "drop")

def enlever_arme(userid):
    joueur_rend = playerlib.getPlayer(userid)
    vie_avants = joueur_rend.get("health") 
    es.server.cmd("es_xfire %s player_weaponstrip kill;" % userid +
                  "es_xgive %s player_weaponstrip;" % userid +
                  "es_xfire %s player_weaponstrip strip" % userid)
    es.setplayerprop(userid, "CBasePlayer.m_iHealth", 10000)
    es.setplayerprop(userid, "CBasePlayer.m_fFlags", 32.0)
    gamethread.delayed(temps_rend, regive_vies, (userid, vie_avants))
  
def enlever_arme_tazer(userid, cible):
    joueur = playerlib.getPlayer(cible)
    vie_avant = joueur.get("health") 
    global dico_tazer
    dico_tazer[userid][1] = True

    es.server.cmd("es_xfire %s player_weaponstrip kill;" % cible +
                  "es_xgive %s player_weaponstrip;" % cible +
                  "es_xfire %s player_weaponstrip strip" % cible)
    es.setplayerprop(cible, "CBasePlayer.m_iHealth", 10000)
    es.setplayerprop(cible, "CBasePlayer.m_fFlags", 32)
    gamethread.delayed(temps_tazer, regive_vie, (userid, cible, vie_avant))

def regive_vie(userid, cible, vie_avant):
    global dico_tazer
    dico_tazer[userid][1] = False
    es.server.queuecmd("es_xgive %s weapon_knife" % cible)
    es.setplayerprop(cible, "CBasePlayer.m_iHealth", vie_avant)
    es.setplayerprop(cible, "CBasePlayer.m_fFlags", 66177)

def regive_vies(userid, vie_avants):
    es.server.queuecmd("es_xgive %s weapon_knife" % userid)
    es.setplayerprop(userid, "CBasePlayer.m_iHealth", vie_avants)
    es.setplayerprop(userid, "CBasePlayer.m_fFlags", 66177)
    
def round_end(event_var):
    if int(tuer_terro) == 1:
        joueur_ct = es.getlivingplayercount(3)
        if joueur_ct != 0:
            for player in playerlib.getUseridList("#t,#alive"):
                es.sexec(player, "kill")
        
def unload():
    es.unregclientcmd("!rw")    
    es.unregsaycmd("!rw")
    es.unregclientcmd("!rend")
    es.unregsaycmd("!rend")
    es.unregclientcmd("!tazer")
    es.unregsaycmd("!tazer")
    popuplib.delete("j_regle")
    popuplib.delete("Regles terroristes")
    popuplib.delete("j_regle_ct_mp1")
    popuplib.delete("j_regle_ct_mp2")
    popuplib.delete("a1")
    popuplib.delete("a2")
    popuplib.delete("a3")
    popuplib.delete("a4")
    popuplib.delete("a5")
    popuplib.delete("a6")
    popuplib.delete("a7")
    popuplib.delete("a8")
    popuplib.delete("a9")
    popuplib.delete("a10")
    popuplib.delete("a11")
    popuplib.delete("a12")
    popuplib.delete("a13")
    popuplib.delete("a14")
    server_name.set(str(server_oldname))
    es.addons.unregisterClientCommandFilter(filtreCommandesClientes)
